#include <QBitmap>

#include "BaseWidget.h"

class DiffWidget :
	public BaseWidget
{
	Q_OBJECT
public:
	DiffWidget(char* f1, char* f2);
	DiffWidget(QImage f1, QImage f2);
	~DiffWidget(void);

public slots:
	void nil0() {};
	void setDiffMask( bool on );
	void setTolerance( int dec );

private slots:
	void nil() {};
	void doBlend( int eightBit );

private:
	QImage diff;
	QBitmap mask;

	QImage s_alpha;
	QImage scratch;

	void initDiffWidget();
};
