#include <QScrollArea>

class HandyScrollArea :
	public QScrollArea
{
	Q_OBJECT
public:
	HandyScrollArea(void);
	~HandyScrollArea(void);

	void refresh() { scrolling(0); };

public slots:
	void scrollTo( double x, double y );

signals:
	void scrolledTo( double x, double y, double width, double height );

protected:
	void resizeEvent( QResizeEvent* e ) { QScrollArea::resizeEvent( e ); refresh(); };

private slots:
	void nil() {};
	void scrolling( int );
};
