#include "ImageProjector.h"

class MiniMap :
	public ImageProjector
{
	Q_OBJECT
public:
	MiniMap(void);
	~MiniMap(void);

	void setVeil( bool v ) { drawVeil = v; };
	void setVeilColor( QColor v ) { veilColor = v; };

signals:
	void pressed();
	void mouseAt( double x, double y );

public slots:
	void setView( double x, double y, double width, double height );

protected:
	void mouseMoveEvent( QMouseEvent* e );
	void mousePressEvent( QMouseEvent* e );
	void paintEvent( QPaintEvent* e );

private:
	bool drawVeil;
	QColor veilColor;

	double v_x;
	double v_y;
	double v_w;
	double v_h;
};
